Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162689 - installer will overwrite edited logwatch.conf and other conf files
Summary: installer will overwrite edited logwatch.conf and other conf files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 17:48 UTC by Wesley Harrell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 09:50:17 UTC


Attachments (Terms of Use)

Description Wesley Harrell 2005-07-07 17:48:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050517 BU Linux/1.0.4-1.3.1bu40.1 Firefox/1.0.4

Description of problem:
In the %files section of the spec file the logwatch.conf and other conf 
files do not have the noreplace option set.  Is there a reason for this?
This causes edited conf files to be renamed upon upgrade.

Version-Release number of selected component (if applicable):
logwatch-6.1.2

How reproducible:
Always

Steps to Reproduce:
1. Edit logwatch.con
2. upgrade to newer version
3.
  

Actual Results:  an edited logwatch.conf was renamed logwatch.conf.rpmsave

Expected Results:  the edited logwatch file is not replaced but the update is name logwatch.conf.rpmnew.  Also for other /etc/log.d/conf/* conf files.

Additional info:

Comment 1 Ivana Varekova 2005-07-25 09:50:17 UTC
Thank you for your notice.
This bug is fixed in the latest logwatch version (logwatch-6.1.2-3).
Ivana Varekova


Note You need to log in before you can comment on or make changes to this bug.